> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/trapcoll/configuration/outputs/cribl.md).

# Cribl

{% hint style="info" %}
The Cribl output is currently a *technology preview*. The design and implementation are less mature than stable features and subject to change.
{% endhint %}

The Cribl output can be used to send records to the [Cribl LogStream HTTP/S (Bulk API)](https://docs.cribl.io/logstream/sources-https).

## EF\_OUTPUT\_CRIBL\_ENABLE

Specifies whether the Cribl output is enabled.

* Valid Values
  * `true`, `false`
* Default
  * `false`

## EF\_OUTPUT\_CRIBL\_ADDRESSES

This setting specifies the Cribl workers to which the output should connect. It is a comma-separated list of Cribl workers, including port number.

{% hint style="danger" %}
Do \*\*NOT\*\* include \`http\://\` or \`https\://\` in the provided value. TLS communications is enabled/disabled using \`EF\_OUTPUT\_CRIBL\_TLS\_ENABLE\`.
{% endhint %}

* Default
  * `127.0.0.1:10080`

## EF\_OUTPUT\_CRIBL\_TOKEN

The Cribl data shipping token that the collector will use to send data.

* Default
  * `''`

## EF\_OUTPUT\_CRIBL\_BATCH\_DEADLINE

The maximum time, in milliseconds, to wait for a batch of records to fill before being sent to Cribl.

* Default
  * `2000`

## EF\_OUTPUT\_CRIBL\_BATCH\_MAX\_BYTES

The maximum size, in bytes, for a batch of records being sent to Cribl.

* Default
  * `8388608`

## EF\_OUTPUT\_CRIBL\_TLS\_ENABLE

This setting is used to enable/disable TLS connections to Cribl Logstream.

* Valid Values
  * `true`, `false`
* Default
  * `false`

## EF\_OUTPUT\_CRIBL\_TLS\_SKIP\_VERIFICATION

This setting is used to enable/disable TLS verification of the Cribl Logstream server to which the output is attempting to connect.

* Valid Values
  * `true`, `false`
* Default
  * `false`

## EF\_OUTPUT\_CRIBL\_TLS\_CA\_CERT\_FILEPATH

The path to the Certificate Authority (CA) certificate to use for verification of the Cribl Logstream server to which the output is attempting to connect.

* Default
  * `''`

## EF\_OUTPUT\_CRIBL\_DROP\_FIELDS

This setting allows for a comma-separated list of fields that are to be removed from all records.

{% hint style="info" %}
Fields are dropped after any output specific fields have been added and after any schema conversion. This means that you should use the field names as you see them in the user interface.
{% endhint %}

* Valid Values
  * any field names related to the enabled schema, comma-separated
* Example
  * `flow.export.sysuptime,flow.export.version.ver,flow.start.sysuptime,flow.end.sysuptime,flow.seq_num`
* Default
  * `''`

## EF\_OUTPUT\_CRIBL\_ALLOWED\_RECORD\_TYPES

This setting allows for a comma-separated list of record types that the output will emit. If left empty, all types will be allowed by default.

* Valid Values
  * `as_path_hop`, `flow_option`, `flow`, `ifa_hop`, `telemetry`, `metric`, `log`
* Default
  * `'as_path_hop,flow_option,flow,ifa_hop,telemetry,metric,log'`&#x20;

For more details on record types, see [Outputs](/flowcoll/configuration/outputs.md#record-types)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.elastiflow.com/trapcoll/configuration/outputs/cribl.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
